; ====================================================;
;                                                     ;
;     gpedit.inc for EC v2 SolAsm visual projects     ;
;                   (version 1.0.1)                   ;
;                                                     ;
;            Copyright  Ramon Sala - 2022            ;
;                                                     ;
; ====================================================;

#ifndef GPEDIT_INC
GPEDIT_INC EQU 1

#if COFF_FORMAT == 1
    from_lib gpedit.lib
#else
    from_dll gpedit.dll
#endif

struct GPOBROWSEINFO
    dwSize       dd    ?
    dwFlags      dd    ?
    hwndOwner    xword ?
    lpTitle      xword ?
    lpInitialOU  xword ?
    lpDSPath     xword ?
    dwDSPathSize dd    ?
    lpName       xword ?
    dwNameSize   dd    ?
    gpoType      xword ?
    gpoHint      xword ?
ends

#ifdef APP_WIN64
    import BrowseForGPO
    import CreateGPOLink
    import DeleteAllGPOLinks
    import DeleteGPOLink
    import ExportRSoPData
    import ImportRSoPData
#else
    extern BrowseForGPO alias _BrowseForGPO@4
    extern CreateGPOLink alias _CreateGPOLink@12
    extern DeleteAllGPOLinks alias _DeleteAllGPOLinks@4
    extern DeleteGPOLink alias _DeleteGPOLink@8
    extern ExportRSoPData alias _ExportRSoPData@8
    extern ImportRSoPData alias _ImportRSoPData@8
#endif

#endif ;GPEDIT_INC
